## org.exist.dom
Class NullNodeIndexListener

    java.lang.Object
      org.exist.dom.NullNodeIndexListener

All Implemented Interfaces:
  NodeIndexListener

public class NullNodeIndexListener
extends java.lang.Object
implements NodeIndexListener

Applies Null Object Design Pattern

Author:
  Jean-Marc Vanel - http:///jmvanel.free.fr

Field Summary
`static NodeIndexListener` `INSTANCE` Singleton

Constructor Summary
`NullNodeIndexListener()`

Method Summary
`void` `nodeChanged(long oldAddress, long newAddress)`
`void` `nodeChanged(StoredNode node)` The internal id of a node has changed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final NodeIndexListener INSTANCE

  Singleton

Constructor Detail

### NullNodeIndexListener

    public NullNodeIndexListener()

Method Detail

### nodeChanged

    public void nodeChanged(StoredNode node)

  Description copied from interface: `NodeIndexListener`
  The internal id of a node has changed. The storage address is still the same, so one can find the changed node by comparing its storage address.

  Specified by:
    `nodeChanged` in interface `NodeIndexListener`
  Parameters:
    `node` -
  See Also:
    `NodeIndexListener.nodeChanged(StoredNode)`

### nodeChanged

    public void nodeChanged(long oldAddress,
                            long newAddress)

Copyright (C) Wolfgang Meier. All rights reserved.